using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Supabase;

namespace Library
{
    public class SupabaseClientFactory
    {
        private readonly string _url;
        private readonly string _key;

        public SupabaseClientFactory(string url, string key)
        {
            _url = url;
            _key = key;
        }

        public Client CreateClient()
        {
            return new Client(_url, _key);
        }
    }
}
